<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Visitor Booking' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>
  <ion-grid>
    <ion-row>
      <ion-col size-md="6" offset-md="3">

        <ion-card>
          <ion-card-header>
            <ion-card-title>{{ 'Add Visitor Booking' | translate }}</ion-card-title>
          </ion-card-header>

          <ion-card-content>
            <form [formGroup]="form" (ngSubmit)="addVisitorLog()" (keyup.enter)="addVisitorLog()" method="post">

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Name' | translate }}</ion-label>
                <ion-input formControlName="name" type="text"></ion-input>
              </ion-item>

              <div style="color: red" *ngIf="form.get('name').hasError('required') && form.get('name').touched">
               {{ 'This field is required*' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Mobile Number' | translate }}</ion-label>
                <ion-input formControlName="phone" type="number"></ion-input>
              </ion-item>

              <div style="color: red" *ngIf="form.get('phone').hasError('required') && form.get('phone').touched">
                {{ 'This field is required*' | translate }}</div>
              <div style="color: red" *ngIf="form.get('phone').hasError('pattern') && form.get('phone').touched">
               {{ 'Please Enter valid phone number' | translate }}
              </div>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Address' | translate }}</ion-label>
                <ion-textarea formControlName="address" type="text"></ion-textarea>
              </ion-item>

              <div style="color: red" *ngIf="form.get('address').hasError('required') && form.get('address').touched">
               {{ 'This field is required*' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'Number of Accompanying Visitors' | translate }}</ion-label>
                <ion-input formControlName="noOfAccompanyingVisitors" type="number"></ion-input>
              </ion-item>

              <div style="color: red"
                *ngIf="form.get('noOfAccompanyingVisitors').hasError('required') && form.get('noOfAccompanyingVisitors').touched">
                 {{ 'This field is required*' | translate }}</div>

              <div style="color: red"
                *ngIf="form.get('noOfAccompanyingVisitors').hasError('pattern') && form.get('noOfAccompanyingVisitors').touched">
                {{ 'Only single digit number is allowed' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Vehicle Number' | translate }}</ion-label>
                <ion-input formControlName="vehicleNo" type="text" name="vehicleNo" placeHolder="e.g. MH 12 AA 1234"></ion-input>
              </ion-item>

              <div style="color: red"
                *ngIf="form.get('vehicleNo').hasError('pattern') && form.get('vehicleNo').touched">
                {{ 'Enter valid vehicle number' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'Time of Arrival' | translate }}</ion-label>
                <ion-datetime displayFormat="MMM DD, YYYY HH:mm" pickerFormat="MMM DD, YYYY HH:mm" min="{{minDate}}"
                  max="{{maxDate}}" placeholder="{{ 'Select Date and Time' | translate }}" formControlName="timeOfArrival"
                  name="timeOfArrival">
                </ion-datetime>
              </ion-item>

              <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">{{ 'Send for Approval' | translate }}</ion-button>
            </form>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
  <div style="height: 100px;">&nbsp;</div>
</ion-content>